include:
  - template: Jobs/Dependency-Scanning.gitlab-ci.yml
  - template: Jobs/Container-Scanning.gitlab-ci.yml

# Container-Scanning overrides
# from: https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Jobs/Container-Scanning.gitlab-ci.yml
# we want it to ONLY run on schedules
container_scanning:
  rules:
    - if: $CI_PIPELINE_SOURCE == "schedule" && $UCSD_SECURITY_PIPELINE
  variables:
    CS_DEFAULT_BRANCH_IMAGE: $CI_REGISTRY_IMAGE:$CI_COMMIT_SHA
    CS_IMAGE: $CI_REGISTRY_IMAGE:$CI_COMMIT_SHA
    CS_SEVERITY_THRESHOLD: HIGH # we want HIGH and CRITICAL

# Dependency-Scanning overrides
# from: https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Jobs/Dependency-Scanning.gitlab-ci.yml
# we want it to ONLY run on schedules
gemnasium-dependency_scanning:
  rules:
    - if: $CI_PIPELINE_SOURCE == "schedule" && $UCSD_SECURITY_PIPELINE

gemnasium-maven-dependency_scanning:
  rules:
    - if: $CI_PIPELINE_SOURCE == "schedule" && $UCSD_SECURITY_PIPELINE

gemnasium-python-dependency_scanning:
  rules:
    - if: $CI_PIPELINE_SOURCE == "schedule" && $UCSD_SECURITY_PIPELINE
